<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getActionRepGain](./bitburner.bladeburner.getactionrepgain.md)

## Bladeburner.getActionRepGain() method

Get the reputation gain of an action.

**Signature:**

```typescript
getActionRepGain(type: string, name: string, level: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | string | Type of action. |
|  name | string | Name of action. Must be an exact match. |
|  level | number | Optional number. Action level at which to calculate the gain. Will be the action's current level if not given. |

**Returns:**

number

Average Bladeburner reputation gain for successfully completing the specified action.

## Remarks

RAM cost: 4 GB

Returns the average Bladeburner reputation gain for successfully completing the specified action. Note that this value is an ‘average’ and the real reputation gain may vary slightly from this value.

